//
// montyrep.inl
//
// Copyright (C) 1996-7 by Leonard Janke (janke@unixg.ubc.ca)
 
MontyRep MontyRep::MultiplicativeIdentity() 
{ 
  return MontyRep(LInteger::One); 
}

const MontyRing& MontyRep::Ring() 
{ 
  return ring; 
}

MontyRep& MontyRep::operator*=(const MontyRep& x)
{
  MontyMultiply(_montyRep,x._montyRep,_montyRep);
  return *this;
}
